﻿using System;
using WebSocketSharp;
using WebSocketSharp.Server;
using Tobii.Research;

namespace GazeWebSocketServer
{
    public class Program
    {
        public static void Main(string[] args)
        {
            var wssv = new WebSocketServer(8001);
            GazeCoordinateBehavior behavior = new GazeCoordinateBehavior();
            wssv.AddWebSocketService("/gaze", () => behavior);

            wssv.Start();
            Console.ReadKey(true);
            wssv.Stop();
        }
    }
}